### Method

# Gio Socket set_broadcast

since: 2.32

#### Declaration [src]

    void
    g_socket_set_broadcast (
      GSocket* socket,
      gboolean broadcast
    )

#### Description [src]

Sets whether `socket` should allow sending to broadcast addresses. This is `FALSE` by default.

Available since: 2.32

Sets property | `Gio.Socket:broadcast`

#### Parameters

`broadcast`

  Type: `gboolean`

  Whether `socket` should allow sending to broadcast addresses.